﻿@model IEnumerable<MVCShowsTV.Models.Chapter>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Season.SeasonName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ChapterName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Duration)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Season.SeasonName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ChapterName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Duration)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ChapterId }) |
            @Html.ActionLink("Details", "Details", new { id=item.ChapterId }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ChapterId })
        </td>
    </tr>
}

</table>
